package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.exam.OverViewDto;
import cn.teammodel.model.dto.admin.labor.FindDto;
import cn.teammodel.model.dto.admin.labor.LaborDto;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface LaborEducationService {
    Map<String,Object> getAnalysis(LaborDto laborDto, HttpServletRequest request);
    Map<String,Object> getDetails(FindDto findDto, HttpServletRequest request);
    Map<String,Object> getStudentSemesterScores(LaborDto laborDto, HttpServletRequest request);
    Map<String,List<Map<String, Object>>> getStudentMonthlyScores(LaborDto laborDto,HttpServletRequest request);
    Map<String,Object> getExamDetails(LaborDto laborDto,HttpServletRequest request);
}
